OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESSelect

# IGESSelect_SelectDrawingFrom Class Reference

This selection gets the Drawings attached to its input IGES
entities. They are read through thr Single Views, referenced
in Directory Parts of the entities
.

`#include <IGESSelect_SelectDrawingFrom.hxx>`

Inheritance diagram for IGESSelect_SelectDrawingFrom:

[legend]

## Public Member Functions
Standard_EXPORT | IGESSelect_SelectDrawingFrom ()
| Creates a SelectDrawingFrom .
Standard_EXPORT Interface_EntityIterator | RootResult (const Interface_Graph &G) const
| Selects the Drawings attached (through Single Views in Directory Part) to input entities .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns the label, with is "Drawings attached" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Protected Member Functions
virtual Standard_EXPORT Standard_Boolean | HasUniqueResult () const
| Returns True, because selection works with a ViewSorter which gives a unique result .

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_SelectDrawingFrom::IGESSelect_SelectDrawingFrom | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESSelect_SelectDrawingFrom::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectDeduct.

virtual Standard_EXPORT Standard_Boolean IGESSelect_SelectDrawingFrom::HasUniqueResult | ( |  | ) | const`[protected, virtual]`

| Reimplemented from IFSelect_Selection.

Standard_EXPORT TCollection_AsciiString IGESSelect_SelectDrawingFrom::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_Selection.

Standard_EXPORT Interface_EntityIterator IGESSelect_SelectDrawingFrom::RootResult | ( | const Interface_Graph & | G | ) | const`[virtual]`

| Implements IFSelect_Selection.

The documentation for this class was generated from the following file:

- IGESSelect_SelectDrawingFrom.hxx